<?xml version="1.0" encoding="UTF-8"?>
    <tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
      <tp:identifier>http://arendalsfossekompani.no/xbrl/2022</tp:identifier> 
      <tp:name>AREFO Annual Report Taxonomy</tp:name>
      <tp:description>This is an extension taxonomy created for reporting Arendals Fossekompani Asa's annual report. The taxonomy imports ESMA 2019 taxonomy and XBRL International's LEI (CR) taxonomy.</tp:description>
      <tp:version>2022-12-31</tp:version>
      <tp:publisher>Arendals Fossekompani Asa.</tp:publisher>
      <tp:publisherURL>http://arendalsfossekompani.no/</tp:publisherURL>
      <tp:publisherCountry>ES</tp:publisherCountry>
      <tp:publicationDate>2021-09-23</tp:publicationDate>
      <tp:entryPoints>
        <tp:entryPoint>
          <tp:name>AREFO Annual Report</tp:name>
          <tp:description>Elements, presentation tree calculation tree and dimension relationships for preparing Arendals Fossekompani Asa's annual report.</tp:description>
          <tp:entryPointDocument href="http://arendalsfossekompani.no/xbrl/2022/5967007LIEEXZXG4U097-2022-12-31.xsd"/>
          
          <tp:entryPointDocument href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml"/>
          <tp:entryPointDocument href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml"/>
          <tp:languages>
          
            <tp:language>en</tp:language>
          </tp:languages>
        </tp:entryPoint>
      </tp:entryPoints>
    </tp:taxonomyPackage>